package com.iformall.enums;


/**
 * @author gongbiao
 */
public enum EnumUserDataRuleType {

    ALL(1, "系统全部数据"),
    FLOOR_BUSINESS(2, "楼层及业态数据"),;

    public static EnumUserDataRuleType getEnum(Integer code) {
        for (EnumUserDataRuleType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumUserDataRuleType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
